Bug 1684291 - [regression] No saved searches listed ( bookmarks ) in Monitor -> Tasks
Summary: [regression] No saved searches listed ( bookmarks ) in Monitor -> Tasks
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Search
Version: 6.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Released
Assignee: Ivan Necas
QA Contact: Omkar Khatavkar
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-02-28 21:59 UTC by Mike McCune
Modified: 2019-10-07 17:20 UTC (History)
6 users (show)

Fixed In Version: foreman-1.20.1.30-1,tfm-rubygem-foreman-tasks-0.14.4.5-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:40:17 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:40:25 UTC
Foreman Issue Tracker 25958 None None None 2019-03-27 10:58:30 UTC
Foreman Issue Tracker 25976 None None None 2019-03-27 10:58:01 UTC

Description Mike McCune 2019-02-28 21:59:48 UTC
In prior version we have a few pre-defined searches for Failed, Running, etc..

These are missing in 6.5 and I'm also unable to view any searches that I do save, the list is always empty.

See screenshot:

https://mmccune.fedorapeople.org/scratch/missing-bookmark.png

Comment 4 Dylan Gross 2019-03-12 15:47:45 UTC
Additionally, saving a new bookmarked search will never get past the "submit" button.   
This seems only to be on the Tasks bookmarked searches.  Customer and I have not been able to reproduce on any other bookmarked searches besides the "Tasks"

Comment 5 Ondřej Pražák 2019-03-27 10:58:00 UTC
Connecting redmine issue http://projects.theforeman.org/issues/25976 from this bug

Comment 6 Ondřej Pražák 2019-03-27 10:58:29 UTC
Connecting redmine issue http://projects.theforeman.org/issues/25958 from this bug

Comment 9 Omkar Khatavkar 2019-03-28 11:07:03 UTC
Blocked by issue https://bugzilla.redhat.com/show_bug.cgi?id=1693623 

cant not test in latest Satellite 6.5 Snap 21

Comment 10 Omkar Khatavkar 2019-04-01 07:40:45 UTC
Verified with Satellite 6.5 with Snap 22. Now it is possible to save the bookmarks and visible in drop down.

Comment 13 errata-xmlrpc 2019-05-14 12:40:17 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.